<?php
// *************************************************************************
// *                                                                       *
// * DEPRIXA PRO -  Integrated Web Shipping System                         *
// * Copyright (c) JAOMWEB. All Rights Reserved                            *
// *                                                                       *
// *************************************************************************
// *                                                                       *
// * Email: support@jaom.info                                              *
// * Website: http://www.jaom.info                                         *
// *                                                                       *
// *************************************************************************
// *                                                                       *
// * This software is furnished under a license and may be used and copied *
// * only  in  accordance  with  the  terms  of such  license and with the *
// * inclusion of the above copyright notice.                              *
// * If you Purchased from Codecanyon, Please read the full License from   *
// * here- http://codecanyon.net/licenses/standard                         *
// *                                                                       *
// *************************************************************************



require_once("../../../loader.php");
require_once("../../../helpers/querys.php");

$errors = array();

if (empty($_POST['mod_style']))

    $errors['mod_style'] = $lang['validate_field_ajax106'];


if (empty($_POST['detail']))

    $errors['detail'] =  $lang['validate_field_ajax108'];

if (empty($_POST['color']))

    $errors['color'] =  $lang['validate_field_ajax109'];




    $response = array();


    if (cdp_statusCourierExists($_POST['mod_style'])) {

        $response['status'] = 'error';
        $response['message'] = $lang['validate_field_ajax107'];
    }

    if (cdp_colorStatusCourierExists($_POST['color'])) {

        $response['status'] = 'error';
        $response['message'] = $lang['validate_field_ajax110'];
    }


    if (!isset($response['status'])) {
        $data = array(
            'mod_style' => cdp_sanitize($_POST['mod_style']),
            'detail' => cdp_sanitize($_POST['detail']),
            'color' => cdp_sanitize($_POST['color'])
        );

        $update = cdp_insertStatusCourier($data);

        if ($update) {
            $response['status'] = 'success';
            $response['message'] = $lang['message_ajax_success_add'];
        } else {
            $response['status'] = 'error';
            $response['message'] = $lang['message_ajax_error1'];
        }
    }

    header('Content-type: application/json; charset=UTF-8');
    echo json_encode($response);


if (!empty($errors)) {
?>
    <div class="alert alert-danger" id="success-alert">
        <p><span class="icon-minus-sign"></span><i class="close icon-remove-circle"></i>
            <?php echo $lang['message_ajax_error2']; ?>
        <ul class="error">
            <?php
            foreach ($errors as $error) { ?>
                <li>
                    <i class="icon-double-angle-right"></i>
                    <?php
                    echo $error;

                    ?>

                </li>
            <?php

            }
            ?>


        </ul>
        </p>
    </div>



<?php
}

if (isset($messages)) {

?>
    <div class="alert alert-info alert-dismissible fade show" role="alert">
        <p><span class="icon-info-sign"></span>
            <?php
            foreach ($messages as $message) {
                echo $message;
            }
            ?>
        </p>
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

<?php
}
?>